## PothosSoapy-0.5.0.tar.gz

=== CMakeLists.txt ===
########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.8.9)
project(PothosSoapy CXX)

if(${CMAKE_PROJECT_NAME} STREQUAL ${PROJECT_NAME})
    find_package(Pothos "0.6.0" CONFIG REQUIRED)
else()
    find_package(Pothos CONFIG REQUIRED) #in-tree build
endif()

########################################################################
# json.hpp header
########################################################################
find_path(JSON_HPP_INCLUDE_DIR NAMES json.hpp PATH_SUFFIXES nlohmann)

if (NOT JSON_HPP_INCLUDE_DIR)
    message(WARNING "Pothos SDR toolkit requires json.hpp, skipping...")
endif (NOT JSON_HPP_INCLUDE_DIR)

########################################################################
## Find SoapySDR
########################################################################
find_package(SoapySDR "0.6.0" CONFIG)

if (SoapySDR_FOUND)
    message(STATUS "SoapySDR_VERSION: ${SoapySDR_VERSION}")
    message(STATUS "SoapySDR_INCLUDE_DIRS: ${SoapySDR_INCLUDE_DIRS}")
    message(STATUS "SoapySDR_LIBRARIES: ${SoapySDR_LIBRARIES}")
else()
    message(WARNING "Pothos SDR blocks require SoapySDR, skipping...")
endif()

########################################################################
## Feature registration
########################################################################
include(FeatureSummary)
include(CMakeDependentOption)
cmake_dependent_option(ENABLE_SOAPY "Enable Pothos SDR component" ON "Pothos_FOUND;SoapySDR_FOUND;JSON_HPP_INCLUDE_DIR" OFF)
add_feature_info(Soapy ENABLE_SOAPY "SDR source and sink blocks for radio hardware")
if (NOT ENABLE_SOAPY)
    return()
endif()

########################################################################
## Generate block descriptions
########################################################################
set(TITLE "Source")
set(CATEGORY "/Sources")
set(ALIAS "/sdr/source")
set(PATH "/soapy/source")
set(XCVR "receiver")
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/SoapyBlockDesc.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/SoapySourceDesc.hpp
@ONLY)

set(TITLE "Sink")
set(CATEGORY "/Sinks")
set(ALIAS "/sdr/sink")
set(PATH "/soapy/sink")
set(XCVR "transmitter")
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/SoapyBlockDesc.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/SoapySinkDesc.hpp
@ONLY)

########################################################################
## Build and install module
########################################################################
include_directories(${SoapySDR_INCLUDE_DIRS})
include_directories(${JSON_HPP_INCLUDE_DIR})
POTHOS_MODULE_UTIL(
    TARGET SoapySupport
    SOURCES
        SoapyBlock.cpp
        SoapySource.cpp
        SoapySink.cpp
        DemoController.cpp
        Logger.cpp
        SoapyInfo.cpp
        BlockThread.cpp
        EnumerateCache.cpp
    LIBRARIES ${SoapySDR_LIBRARIES}
    DESTINATION soapy
    DOC_SOURCES
        DemoController.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/SoapySourceDesc.hpp
        ${CMAKE_CURRENT_BINARY_DIR}/SoapySinkDesc.hpp
)

########################################################################
## Build subdirectories
########################################################################
add_subdirectory(utility)

=== utility/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_SOAPY_UTILITY "Enable Pothos Soapy.Utility component" ON "ENABLE_SOAPY" OFF)
add_feature_info("  SDR Utils" ENABLE_SOAPY_UTILITY "Utility blocks that operate on SDR streams")
if (NOT ENABLE_SOAPY_UTILITY)
    return()
endif()

########################################################################
## Utility blocks
########################################################################
POTHOS_MODULE_UTIL(
    TARGET SoapyUtilityBlocks
    SOURCES
        ChannelAligner.cpp
        RandomDropper.cpp
        TxBurstTimer.cpp
    DESTINATION soapy
    ENABLE_DOCS
)

=== debian/changelog ===
pothos-soapy (0.5.0-1) unstable; urgency=low

  * Release 0.5.0 (2017-12-25)

 -- Josh Blum <josh@pothosware.com>  Mon, 25 Dec 2017 11:17:13 -0000

pothos-sdr (0.4.4-1) unstable; urgency=low

  * Release 0.4.4 (2017-07-21)

 -- Josh Blum <josh@pothosware.com>  Fri, 21 Jul 2017 22:23:54 -0000

pothos-sdr (0.4.3-1) unstable; urgency=low

  * Release 0.4.3 (2017-04-23)

 -- Josh Blum <josh@pothosware.com>  Sun, 23 Apr 2017 20:50:32 -0000

pothos-sdr (0.4.2-ppa1) unstable; urgency=low

  * Release 0.4.2 (2016-09-25)

 -- Josh Blum <josh@pothosware.com>  Sun, 25 Sep 2016 09:38:36 -0700

pothos-sdr (0.4.1) unstable; urgency=low

  * Release 0.4.1 (2016-09-01)

 -- Josh Blum <josh@pothosware.com>  Thu, 01 Sep 2016 01:47:09 -0700

pothos-sdr (0.4.0) unstable; urgency=low

  * Release 0.4.0 (2016-08-02)

 -- Josh Blum <josh@pothosware.com>  Tue, 02 Aug 2016 14:35:56 -0700

pothos-sdr (0.3.1) unstable; urgency=low

  * Release 0.3.1 (2016-05-10)

 -- Josh Blum <josh@pothosware.com>  Tue, 10 May 2016 16:24:08 -0700

pothos-sdr (0.3.0) unstable; urgency=low

  * Release 0.3.0 (2015-12-16)

 -- Josh Blum <josh@pothosware.com>  Wed, 16 Dec 2015 16:30:45 -0800

=== debian/control ===
Source: pothos-soapy
Section: science
Priority: optional
Maintainer: Josh Blum <josh@pothosware.com>
Build-Depends:
    debhelper (>= 9.0.0),
    cmake (>= 2.8.9),
    libpoco-dev (>= 1.6),
    libpothos-dev,
    libsoapysdr-dev
Standards-Version: 4.1.1
Homepage: https://github.com/pothosware/PothosSoapy/wiki
Vcs-Git: https://github.com/pothosware/PothosSoapy.git
Vcs-Browser: https://github.com/pothosware/PothosSoapy

Package: pothos-modules-soapy
Section: libs
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: pothos0.6-modules-soapy, ${misc:Depends}
Replaces: pothos-modules-sdr
Description: Soapy SDR source and sink blocks - metapackage
 The Pothos data-flow software suite.

Package: pothos0.6-modules-soapy
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Soapy SDR source and sink blocks
 The Pothos data-flow software suite.
